Status: Closed Start date: 10/17/2011
Priority: High Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: 0.5
Description

The call
logger-builtin-spread --style detailed --idl-path "/usr/share/rst/proto/stable/" spread://localhost:4803

produces the error message

Event
  Scope          : /oncilla/command/nodes/angles/all/
  Id             : E01C1B77-D60D-55A1-9476-B4F5C51AFDAD
  Sequence-Number: 30748
  Origin         : 77652342-A956-4ABA-AB17-C0ADAFF8108C
  Method         : N/A
  Type           : T
Argument X is not a REAL: NIL

/usr/share/rst/proto/stable/ is a valid root path to the rst proto objects. Any idea what happens?

Associated revisions
Revision ee4643c4 - 10/17/2011 04:40 AM - J. Moringen
Added missing default values in formatting/event-style-detailed.lisp
fixes #639
    -  formatting/event-style-detailed.lisp

  (format-event event style-detailed t): added default values for
  keyword parameters max-lines and max-columns
  (format-event :after event style-detailed t): similar

Revision 1ea80824 - 10/17/2011 05:03 AM - J. Moringen
Added another default values in formatting/event-style-detailed.lisp
fixes #639
    -  formatting/event-style-detailed.lisp

  (format-event event style-detailed t): fallback default value for
  max-columns parameter

Revision 2d9f67d4 - 10/17/2011 05:22 AM - J. Moringen
Added another default values in formatting/event-style-detailed.lisp
fixes #639
    -  formatting/event-style-detailed.lisp

  (format-event :after event style-detailed t): fallback default value
  for max-columns parameter

History
#1 - 10/17/2011 04:05 AM - J. Moringen
- Description updated
- Category set to Common Lisp Tools

Please repeat with added -d (enable backtraces) commandline option.

#2 - 10/17/2011 04:09 AM - J. Moringen

Aside from the apparent bug, the shown invocation most likely does not have the intended effect. The --idl-path option only affects the behavior of 
import statements. To actually load data type definitions, the --load-idl option has to be used.

#3 - 10/17/2011 04:19 AM - J. Moringen
- Status changed from New to In Progress
- Target version set to 0.5

Never mind, I could reproduce the bug.

#4 - 10/17/2011 04:50 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r2851.

#5 - 10/17/2011 09:35 AM - S. Wrede
- Status changed from Resolved to Feedback
- Priority changed from Normal to High

Given that, I wonder if the documentation at [[Tools]] is still correct?

#6 - 10/17/2011 03:37 PM - J. Moringen

You're right. --idl-path used to load everything within a given directory. The example in the wiki page relies on this behavior.

#7 - 10/20/2011 01:06 AM - J. Moringen
- Status changed from Feedback to Closed
